Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Object Storage
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • List
        • Get
        • Create
        • Update
        • Delete
        • GetStats
        • GetHTTPSConfig
        • SetHTTPSConfig
        • DeleteHTTPSConfig
        • SetAccessBindings
        • UpdateAccessBindings
        • ListAccessBindings
        • CreateInventoryConfiguration
        • GetInventoryConfiguration
        • DeleteInventoryConfiguration
        • ListInventoryConfigurations
  • Monitoring metrics
  • Audit Trails events
  • Bucket logs
  • Release notes
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Response
  1. API reference
  2. Yandex Cloud REST
  3. Bucket
  4. GetHTTPSConfig

Object Storage API, REST: Bucket.GetHTTPSConfig

Written by
Yandex Cloud
Updated at April 20, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response

Returns the HTTPS configuration for the specified bucket.

HTTP requestHTTP request

GET https://storage.api.cloud.yandex.net/storage/v1/buckets/{name}:getHttpsConfig

Path parametersPath parameters

Field

Description

name

string

Required field. Name of the bucket to return the HTTPS configuration for.

ResponseResponse

HTTP Code: 200 - OK

{
  "name": "string",
  "sourceType": "string",
  "issuer": "string",
  "subject": "string",
  "dnsNames": [
    "string"
  ],
  "notBefore": "string",
  "notAfter": "string",
  "certificateId": "string"
}

A resource for HTTPS configuration of a bucket.

Field

Description

name

string

Name of the bucket.

sourceType

enum (SourceType)

Type of TLS certificate source.

  • SOURCE_TYPE_SELF_MANAGED: Your certificate, uploaded directly.
  • SOURCE_TYPE_MANAGED_BY_CERTIFICATE_MANAGER: Certificate managed by Certificate Manager.

issuer

string

Issuer of the TLS certificate.

subject

string

Subject of the TLS certificate.

dnsNames[]

string

List of DNS names of the TLS certificate (Subject Alternative Name field).

notBefore

string (date-time)

Start of the TLS certificate validity period (Not Before field).

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

notAfter

string (date-time)

End of the TLS certificate validity period (Not After field)

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

certificateId

string

ID of the TLS certificate in Certificate Manager.
To get information about the certificate from Certificate Manager, make a
yandex.cloud.certificatemanager.v1.CertificateService.Get request.

Was the article helpful?

Previous
GetStats
Next
SetHTTPSConfig
© 2026 Direct Cursus Technology L.L.C.